{"openapi":"3.0.4","info":{"title":"Get holdings for transaction portfolios in a Fund.","description":"Get the holdings of transaction portfolios in a specified Fund.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/funds/{scope}/{code}/$holdings":{"post":{"tags":["Funds"],"summary":"Get holdings for transaction portfolios in a Fund.","description":"Get the holdings of transaction portfolios in a specified Fund.","operationId":"GetHoldingsForFund","parameters":[{"name":"scope","in":"path","description":"The scope of the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Fund. Together with the scope this uniquely identifies the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"navTypeCode","in":"query","description":"When provided, runs against the specified NAV Type, otherwise the Primary NAV Type will be used.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the holdings of transaction portfolios in the Fund. Defaults\r\n            to return the latest version of the holdings if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the result set. Read more about filtering results from LUSID here https://support.lusid.com/filtering-results-from-lusid.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"propertyKeys","in":"query","description":"A list of property keys from the \"Instrument\", \"Holding\" or \"Portfolio\",\"CustodianAccount\" or \"LegalEntity\" domain to decorate onto domain to decorate onto\r\n            the holdings. These take the format {domain}/{scope}/{code} e.g. \"Instrument/system/Name\" or \"Holding/system/Cost\".","schema":{"type":"array","items":{"type":"string","description":"The key that uniquely identifies the property. It has the format {domain}/{scope}/{code}."}},"x-nullable":true},{"name":"byTaxlots","in":"query","description":"Whether to expand the holdings to return the underlying tax-lots. Defaults to False.","schema":{"type":"boolean"},"x-nullable":true},{"name":"includeSettlementEventsAfterDays","in":"query","description":"Number of days ahead to bring back settlements from, in relation to the specified effectiveAt.","schema":{"type":"integer","format":"int32"},"x-nullable":true}],"requestBody":{"description":"The arguments to use for querying the holdings.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SingleValuationPointQueryParameters"},"example":{"dateOrDiaryEntry":{"diaryEntry":"DiaryEntryCode"}}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SingleValuationPointQueryParameters"},"example":{"dateOrDiaryEntry":{"diaryEntry":"DiaryEntryCode"}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SingleValuationPointQueryParameters"},"example":{"dateOrDiaryEntry":{"diaryEntry":"DiaryEntryCode"}}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/SingleValuationPointQueryParameters"},"example":{"dateOrDiaryEntry":{"diaryEntry":"DiaryEntryCode"}}}},"required":true},"responses":{"200":{"description":"The holdings of transaction portfolios for a Fund","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/VersionedResourceListOfPortfolioHolding"},"example":{"version":{"effectiveFrom":"2019-03-05T12:00:00.0000000+00:00","asAtDate":"2019-03-05T12:00:00.0000000+00:00"},"values":[{"instrumentScope":"default","instrumentUid":"LUID_XH4GNUEX","subHoldingKeys":{"Transaction/Algo/Name":{"key":"Transaction/Algo/Name","value":{"labelValue":"Algo1"}}},"properties":{"Instrument/default/Name":{"key":"Instrument/default/Name","value":{"labelValue":"Example Instrument 1"},"effectiveFrom":"2010-01-01T00:00:00.0000000+00:00"}},"holdingType":"P","units":10,"settledUnits":10,"cost":{"amount":2.5,"currency":"GBP"},"costPortfolioCcy":{"amount":2.5,"currency":"GBP"},"currency":"ZZZ","holdingTypeName":"Position","holdingId":1,"settlementSchedule":[],"unsettledUnits":0,"overdueUnits":0}],"links":[]}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/VersionedResourceListOfPortfolioHolding"},"example":{"version":{"effectiveFrom":"2019-03-05T12:00:00.0000000+00:00","asAtDate":"2019-03-05T12:00:00.0000000+00:00"},"values":[{"instrumentScope":"default","instrumentUid":"LUID_XH4GNUEX","subHoldingKeys":{"Transaction/Algo/Name":{"key":"Transaction/Algo/Name","value":{"labelValue":"Algo1"}}},"properties":{"Instrument/default/Name":{"key":"Instrument/default/Name","value":{"labelValue":"Example Instrument 1"},"effectiveFrom":"2010-01-01T00:00:00.0000000+00:00"}},"holdingType":"P","units":10,"settledUnits":10,"cost":{"amount":2.5,"currency":"GBP"},"costPortfolioCcy":{"amount":2.5,"currency":"GBP"},"currency":"ZZZ","holdingTypeName":"Position","holdingId":1,"settlementSchedule":[],"unsettledUnits":0,"overdueUnits":0}],"links":[]}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/VersionedResourceListOfPortfolioHolding"},"example":{"version":{"effectiveFrom":"2019-03-05T12:00:00.0000000+00:00","asAtDate":"2019-03-05T12:00:00.0000000+00:00"},"values":[{"instrumentScope":"default","instrumentUid":"LUID_XH4GNUEX","subHoldingKeys":{"Transaction/Algo/Name":{"key":"Transaction/Algo/Name","value":{"labelValue":"Algo1"}}},"properties":{"Instrument/default/Name":{"key":"Instrument/default/Name","value":{"labelValue":"Example Instrument 1"},"effectiveFrom":"2010-01-01T00:00:00.0000000+00:00"}},"holdingType":"P","units":10,"settledUnits":10,"cost":{"amount":2.5,"currency":"GBP"},"costPortfolioCcy":{"amount":2.5,"currency":"GBP"},"currency":"ZZZ","holdingTypeName":"Position","holdingId":1,"settlementSchedule":[],"unsettledUnits":0,"overdueUnits":0}],"links":[]}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}